Bug 272360 - Double click on a song does not add it to the playlist with a left-handed mouse
Summary: Double click on a song does not add it to the playlist with a left-handed mouse
Status: CLOSED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collection Browser (show other bugs)
Version: 2.4-GIT
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2011-05-03 20:50 UTC by Philippe Cloutier
Modified: 2011-07-24 17:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Cloutier 2011-05-03 20:50:45 UTC
Version:           2.4.0.90 (using KDE 4.4.5) 
OS:                Linux

A double-click on a song in the collection should add it to the playlist. This works with a right-handed mouse but not if it is left-handed. Sentynel on #amarok confirmed that:

[2011-05-03 14:33:08] <Sentynel> chealer: left handed mouse requires double click to open folders and doesn't add things to the playlist, confirmed
[2011-05-03 14:33:17] <Sentynel> chealer: can you report a bug please; I'll confirm it
[2011-05-03 14:33:33] <Sentynel> though this may be an upstream KDE issue
[2011-05-03 14:33:51] <Sentynel> do you see similar behaviour anywhere else?
[2011-05-03 14:36:17] <chealer> Sentynel: thank you, will do.
[2011-05-03 14:37:14] <chealer> Sentynel: I use my mouse at the left for one year and I didn't notice other issues in KDE.
[2011-05-03 14:38:04] <Sentynel> chealer: okay, report it under amarok and mention that; if someone more knowledgeable reckons it is an upstream issue it can be moved
[2011-05-03 14:38:53] <chealer> Sentynel: ah, I see folders need to be double-clicked too. thanks

As Sentynel said, there is also a difference for opening folders, which need to be double-clicked instead of just clicked (unless you click the plus sign).

Songs can still be played by clicking with the secondary button and selecting menu item Add to playlist. Or, as I just found, by middle-clicking.

This happened with 2.4.0 and upgrading to 2.4.1 beta 1 didn't solve.

Reproducible: Always
Comment 1 Myriam Schweingruber 2011-05-04 09:31:15 UTC
I strongly suggest you update your KDE version, 4.4.5 is rather old, also mouse handling is done by KDE, we only use what KDE provides. Current KDE is 4.6.2, even Debian testing should have a newer one by now.
Comment 2 Philippe Cloutier 2011-05-04 21:11:41 UTC
Sentynel reproduced this with KDE 4.6.2:

[2011-05-04 13:52:23] <Sentynel> chealer: kde 4.6.2 amarok 2.4-git qt 4.7.2
Comment 3 Myriam Schweingruber 2011-05-04 22:37:53 UTC
This is a regression introduced in Amarok 2.3.2, probably by this commit: 

http://quickgit.kde.org/?p=amarok.git&a=commit&h=fccbf083f148b66d3edb236abb50dfe637bfdfde
Comment 4 Sam Lade 2011-05-04 23:37:13 UTC
Okay, I've run through a git bisect. The problem seems to have initially been introduced by this commit:
http://quickgit.kde.org/?p=amarok.git&a=commit&h=ed191d6b3d11134822024de862fa8a77b0e7e8b5
    Use the context menu mouse button from global settings
    
    It is different depending on what "handed" the mouse is
    configured to be.

I believe the commit identified above in Myriam's post is a partial, but incomplete, fix for issues stemming from this commit. From this commit, ed191, until Myriam's, fccbf, clicking on items in the collection browser (single or double) has no effect with a left-handed mouse. Subsequent to fccbf, double clicking performs the function expected from single click on a right-handed mouse.
Comment 5 Rick W. Chen 2011-05-15 21:56:31 UTC
Git commit a247c4a36c9b0f2f0ad7f5369b4c1a53a92f90a1 by Rick W. Chen.
Committed on 15/05/2011 at 21:48.
Pushed by rickc into branch 'master'.

Fix double-clicking in collection using left-handed mouse setting

docs on Qt::LeftButton

	The left button is pressed, or an event refers to the left button.
	(The left button may be the right button on left-handed mice.)

BUG: 272360

M  +2    -2    src/browsers/CollectionTreeView.cpp     
M  +1    -1    src/browsers/playlistbrowser/PlaylistBrowserView.cpp     
M  +1    -1    src/context/applets/currenttrack/CurrentTrack.cpp     
M  +0    -6    src/core/support/Amarok.cpp     
M  +0    -7    src/core/support/Amarok.h     

http://commits.kde.org/amarok/a247c4a36c9b0f2f0ad7f5369b4c1a53a92f90a1